#ifndef MAFWPLUGINCONTROLINTERFACE_H_
#define MAFWPLUGINCONTROLINTERFACE_H_

#include <QObject>

/**
 * @brief Abstract interface for controlling plugin. You can control plugin activation
 * using this interface.
 *
 * TODO
 */
class MafwPluginControlInterface : public QObject
{
    Q_OBJECT
public:
    /**
     * Request to activate/reactivate the plugin.
     */
    virtual void activate() = 0;

    /**
     * Request to deactivate the plugin.
     */
    virtual void deactivate() = 0;
};

#endif /*MAFWPLUGINCONTROLINTERFACE_H_*/
